
#ifndef __V2_HWDEF__
#define __V2_HWDEF__

/* Hardware definitions */

/* analog */


//Port: F
//See adc.h

/*
#define ADC_12V      0 // 12V voltage measurement
#define ADC_O2       1 // O2 sensor
#define ADC_TPS      2 // throttle posistion sensor
#define ADC_CLT      3 // coolant
#define ADC_MAT      4 // manifold air temperature
#define ADC_MAP      5 // manifold absolute pressure

#define ADC_AUX6     6 // free io, not used
#define ADC_AUX7     7 // free io, not used
*/
/* digital */

//Port: A
#define LEDPORT         PORTA
#define LEDMASK         0xF8
#define LED_STATUS  3 // active LOW!
#define LED_MISC    4 // active HIGH!
#define LED_ACCEL   5
#define LED_WARMUP  6
#define LED_SQUIRT  7 // next to rs232 connector

//Port: B
#define J1          0 // free io, not used
#define SCK         1 // sck, used by isp
#define CLT_FAN     2 // coolant fan
#define FUELPUMP    3 // fuel pump
#define IDLEVALVE   4 // idle solenoid (OC0) / (OC1C)
#define PWM_A       5 // injector port2 (OC1A)
#define PWM_B       6 // injector port1 (OC1B)
#define MISC        7 // pwm output (OC2) - not used

//Port: C
#define STEP_A       0 // idle-stepper winding A
#define STEP_EN      1 // idle-stepper driver enable
#define STEP_C       2 // idle-stepper winding C
#define STEP_D       3 // idle-stepper winding D
#define STEP_B       4 // idle-stepper winding B

//Port: D
#define ex_SCL       0 // free io, not used
#define ex_SDA       1 // free io, not used
#define ex_RXD1      2 // free io, not used
#define ex_TXD1      3 // free io, not used
#define ex_IC1       4 // free io, not used


//Port: E
#define ex_rx0       0 // rs232 receive
#define ex_tx0       1 // rs232 transmit
#define J3           2 // free io, not used BUTTON
#define ex_TMR3_A    3 // free io, not used
#define ex_TMR3_B    4 // free io, not used
#define ex_TMR3_C    5 // free io, not used
#define TACH         6 // ignition signal (int6)
#define J2           7 // free io, not used

//Port: G
#define ex_PG0       0 // free io, not used
#define ex_PG1       1 // free io, not used
#define FLYBACK_A    3
#define FLYBACK_B    4


#endif

