
#include <avr/pgmspace.h>
#include "kb.h"

// PS2KEYBOARD SCANCODES (US. English?)
// http://www.beyondlogic.org/keyboard/keybrd.htm

// Unshifted characters
unsigned char PROGMEM unshifted[]= {
0,KEY_F9,0,KEY_F5, KEY_F3,KEY_F1,KEY_F2,KEY_F12, 0,KEY_F10,KEY_F8,KEY_F6, KEY_F4,
/* 0x0d */ 9,'|',0,0,KEY_ALT,0,0,KEY_CTRL,
/* 0x15 */ 'q','1',0,0,0,
/* 0x1a */ 'z','s','a','w','2',0,0,
/* 0x21 */ 'c','x','d','e','4','3',0,0,
/* 0x29 */ ' ','v','f','t','r','5',0,0,
/* 0x31 */ 'n','b','h','g','y','6',0,0,
/* 0x39 */ 0,'m','j','u','7','8',0,0,
/* 0x41 */ ',','k','i','o','0','9',0,0,
/* 0x49 */ '.','-','l','','p','+',0,0,0,
/* 0x52 */ '',0,'','\\',0,0,0,0,
/* 0x5a */ 13,'',0,'\'',0,0,0,
/* 0x61 */ '<',0,0,0,0,
/* 0x66 */ 8,0,0,
/* 0x69 */ '1',0,'4','7',0,0,0,
/* 0x70 */ '0',',','2','5', '6','8',KEY_ESC,0, KEY_F11,
/* 0x79 */ '+','3','-', '*','9',0,0
};

// Shifted characters
unsigned char PROGMEM shifted[]= {
0,KEY_F9,0,KEY_F5, KEY_F3,KEY_F1,KEY_F2,KEY_F12, 0,KEY_F10,KEY_F8,KEY_F6, KEY_F4,
/* 0x0d */ 9,'',0,0,KEY_ALT,0,0,KEY_CTRL,
/* 0x15 */ 'Q','!',0,0,0,
/* 0x1a */ 'Z','S','A','W','"',0,0,
/* 0x21 */ 'C','X','D','E','','#',0,0,
/* 0x29 */ ' ','V','F','T','R','%',0,0,
/* 0x31 */ 'N','B','H','G','Y','&',0,0,
/* 0x39 */ 0,'M','J','U','/','(',0,0,
/* 0x41 */ ';','K','I','O','=',')',0,0,
/* 0x49 */ ':','_','L','','P','?',0,0,0,
/* 0x52 */ '',0, '','`',0,0,0,0,
/* 0x5a */ 13,'^',0,'*',0,0,0,
/* 0x61 */ '>',0,0,0,0,
/* 0x66 */ 8,0,0,
/* 0x69 */ '1',0,'4','7',0,0,0,
/* 0x70 */ '0',',','2','5','6','8',KEY_ESC,0, KEY_F11,
/* 0x79 */ '+','3','-','*','9',0,0
};
